/*    reloc.h   -  assemble for Sparc    */
/*    Defines machine specific relocation entries */

#ifndef SPARC_RELOC_INCLUDED
#define SPARC_RELOC_INCLUDED

/*
 * TBD
 */
enum reloc_type_sparc
{
	SPARC_RELOC_VANILLA,	/* vanilla relocation */
	SPARC_RELOC_PAIR,	/* the second relocation entry of a pair */
	SPARC_RELOC_HI22,	/* 22 high bits (sethi) (has pair) */
	SPARC_RELOC_LO10,	/* 10 low bits (has pair) */
	SPARC_RELOC_WDISP22,	/* 22 bit PC relative displacement */
	SPARC_RELOC_PCREL_S2,	/* 30 bit PC relative displacement */
	SPARC_RELOC_22,		/* 22 bit immediate */
	SPARC_RELOC_13,		/* 13 bit immediate */
	SPARC_RELOC_SECTDIFF,	/* a PAIR follows with subtract symbol value */
	SPARC_RELOC_HI22_SECTDIFF,
	SPARC_RELOC_LO10_SECTDIFF,
	SPARC_RELOC_NONE,
	SPARC_RELOC_UNUSED
};

/* For compatibility with Sparc GAS code */

#define BFD_RELOC_NONE	SPARC_RELOC_NONE
#define	BFD_RELOC_HI22	SPARC_RELOC_HI22
#define	BFD_RELOC_LO10	SPARC_RELOC_LO10
#define	BFD_RELOC_SPARC_WDISP22	SPARC_RELOC_WDISP22
#define BFD_RELOC_32_PCREL_S2 SPARC_RELOC_PCREL_S2
#define	BFD_RELOC_SPARC22 SPARC_RELOC_22
#define BFD_RELOC_SPARC_BASE13 SPARC_RELOC_13
#define BFD_RELOC_UNUSED SPARC_RELOC_UNUSED

#endif    /* SPARC_RELOC_INCLUDED */
